SpareSpare Docs
GuidesAPI Reference

Consents

Create, list, and retrieve payment consents.

POST
/api/v1.0/pis/Consent/Create
Authorization
Header

Json web signature (JWS: RFC7519) of the payment initiation consent request payload in detached mode. <see href="https://datatracker.ietf.org/doc/html/rfc7519" />

Body
*object
object
object

Request Body

application/json

Payment initiation consent request model.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1.0/pis/Consent/Create" \  -H "x-signature: string" \  -H "Content-Type: application/json" \  -d '{    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "amount": "string",    "currency": "string",    "paymentConsentType": "SingleInstantPayment",    "purpose": "SELF",    "creditorAccount": {      "scheme": "IBAN",      "identification": "string"    }  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",    "consentId": "e521cf62-a45f-49c5-8372-94853fffeb55",    "externalReference": "string",    "scope": "Accounts",    "paymentConsentType": "SingleInstantPayment",    "executionDateTime": "2019-08-24T14:15:22Z",    "authorizationLink": "string",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "createdAt": "2019-08-24T14:15:22Z",    "status": "AwaitingAuthorization",    "creditorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "debtorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "connection": {      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "country": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "currency": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "englishName": "string",            "arabicName": "string",            "iso4117Code": "str",            "iso4117Number": "stri"          },          "englishName": "string",          "arabicName": "string",          "iso3166Code": "st",          "timeZone": "string"        },        "address": "string",        "phone": "string",        "isEnable": true,        "arabicName": "string",        "englishName": "string",        "status": "Active",        "logo": "http://example.com"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "ACTIVE",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    },    "purpose": "string",    "note": "string"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
GET
/api/v1.0/pis/Consent/List
Authorization
Query

Page number

Number of items per page maximum allow is 100 per page

Provider id (Optional)

Connection id (Optional)

External reference (Optional)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Consent/List"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",      "consentId": "e521cf62-a45f-49c5-8372-94853fffeb55",      "externalReference": "string",      "scope": "Accounts",      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "authorizationLink": "string",      "amount": {        "value": 0,        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        }      },      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "creditorAccount": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "scheme": "IBAN",        "identification": "string",        "name": "string"      },      "debtorAccount": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "scheme": "IBAN",        "identification": "string",        "name": "string"      },      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "purpose": "string",      "note": "string"    }  ],  "meta": {    "currentPageNumber": 0,    "pageSize": 0,    "totalNumberOfPages": 0  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
GET
/api/v1.0/pis/Consent/Get
Authorization
Query

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Consent/Get?consentId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",    "consentId": "e521cf62-a45f-49c5-8372-94853fffeb55",    "externalReference": "string",    "scope": "Accounts",    "paymentConsentType": "SingleInstantPayment",    "executionDateTime": "2019-08-24T14:15:22Z",    "authorizationLink": "string",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "createdAt": "2019-08-24T14:15:22Z",    "status": "AwaitingAuthorization",    "creditorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "debtorAccount": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "connection": {      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "country": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "currency": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "englishName": "string",            "arabicName": "string",            "iso4117Code": "str",            "iso4117Number": "stri"          },          "englishName": "string",          "arabicName": "string",          "iso3166Code": "st",          "timeZone": "string"        },        "address": "string",        "phone": "string",        "isEnable": true,        "arabicName": "string",        "englishName": "string",        "status": "Active",        "logo": "http://example.com"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "ACTIVE",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    },    "purpose": "string",    "note": "string"  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty